#ifndef _MYMATH_H
#define _MYMATH_H

#define PI      3.14159265358979323846

float MySqrt(float a);
float MyCos(float a);
float MySin(float a);
float MyTan(float a);
float MyArcCos(float a);
float MyArcSin(float a);
float MyArcTan(float a);

typedef struct vector {
    float x, y;
} vector_t;

float MagnitudeVector(vector_t v);
float DotProductVectors(vector_t a, vector_t b);
vector_t ScalarMultiplyVector(float a, vector_t v);
vector_t AddVectors(vector_t a, vector_t b);
vector_t SubtractVectors(vector_t a, vector_t b);
vector_t NegateVector(vector_t v);
vector_t ProjectVector(vector_t main, vector_t direction);

#endif /* _MYMATH_H */
